# advanced_host_list – Parses a ‘host list’ with ranges

New in version 2.4.

- Synopsis

- Examples

- Status

## Synopsis

- Parses a host list string as a comma separated values of hosts and supports host ranges.

- This plugin only applies to inventory sources that are not paths and contain at least one comma.

## Examples

    # simple range
    # ansible -i 'host[1:10],' -m ping

    # still supports w/o ranges also
    # ansible-playbook -i 'localhost,' play.yml

## Status

- This inventory is not guaranteed to have a backwards compatible interface. [preview]

- This inventory is maintained by the Ansible Community. [community]

### Authors

- UNKNOWN

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.